<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    xmlns:app="http://schemas.android.com/apk/res-auto">

    <com.google.android.material.textfield.TextInputEditText
        android:id="@+id/search_bar"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintBottom_toTopOf="@+id/search_recycler_view"
        android:hint="@string/search_hint"
        android:maxLines="1"
        android:inputType="text"
        android:imeOptions="actionDone"
        android:textColor="@color/light"
        android:textColorHint="@color/hint">

    </com.google.android.material.textfield.TextInputEditText>

    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/search_recycler_view"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        app:layout_constraintTop_toBottomOf="@+id/search_bar"
        android:orientation="vertical">

    </androidx.recyclerview.widget.RecyclerView>

    <ProgressBar
        android:id="@+id/progress_circular_search"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        android:visibility="gone">

    </ProgressBar>

    <ImageView
        android:id="@+id/empty_search"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        android:src="@drawable/ic_error_404"
        android:visibility="gone"
        android:contentDescription="@string/not_found">

    </ImageView>


</androidx.constraintlayout.widget.ConstraintLayout>